List all skills for the current project.
get /skills
List all skills for the current project.
Query Parameters
-
after: optional stringIdentifier for the last item from the previous pagination request
-
limit: optional numberNumber of items to retrieve
-
order: optional "asc" or "desc"Sort order of results by timestamp. Use
ascfor ascending order ordescfor descending order.-
"asc" -
"desc"
-
Returns
-
SkillList object { data, first_id, has_more, 2 more }-
data: array of SkillA list of items
-
id: stringUnique identifier for the skill.
-
created_at: numberUnix timestamp (seconds) for when the skill was created.
-
default_version: stringDefault version for the skill.
-
description: stringDescription of the skill.
-
latest_version: stringLatest version for the skill.
-
name: stringName of the skill.
-
object: "skill"The object type, which is
skill."skill"
-
-
first_id: string or nullThe ID of the first item in the list.
-
has_more: booleanWhether there are more items available.
-
last_id: string or nullThe ID of the last item in the list.
-
object: "list"The type of object returned, must be
list."list"
-
Example
curl https://api.openai.com/v1/skills \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"data": [
{
"id": "id",
"created_at": 0,
"default_version": "default_version",
"description": "description",
"latest_version": "latest_version",
"name": "name",
"object": "skill"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id",
"object": "list"
}